var gLabel = ui.label({ top:10, height:'auto', width:'auto', text:'Added Label Using Globally Available function'});
var titleLabel  = ui.label({ height:'auto', width:'auto', text:'Click Here to test Fuse Examples' });
mainWin.add( ui.label({bottom:10, height:'auto', width:'auto',text:'version:'+fuse.ver}) );
mainWin.add(titleLabel);

//Create Custom fused Object
fuse.create('base', true)
    .w('test', function(){alert('test Base');} ) //Add function
      .create('child') //Create Nested Object
        .w('test', function(){alert('test Child');} ) //Add function to Nested Object
    .parent() //Back out of Object to Parent
      .create('sibling') //Create Sibling Object
        .w('test', function(){alert('test Sibling');} ) //add function to Sibling Object

//Global Event Listener
fuse.on('removeGLabel', function(){ mainWin.remove(gLabel); });
//Global Function
fuse.w('testGlobal',function(){ mainWin.add(gLabel); },true);

/**
 * Fuse Global Functions
 *  fuse.o( Object_Name, Object_To_Attach );
 *  "o" Stands for Object
 *  When you use this function your object will be globally available
 *  from the fuse object similar to calling function form the Ti.UI in your files
 */

fuse.w('testEmitter', function(){
  fuse.emit('fired');
  alert('TEST : Globally Fused Function');
    fuse.emit('removeGLabel');

});

//Global NameSpace Event Listener
fuse.on('fired', function(){ alert('TEST : Globally Fused Event Emitter'); });

titleLabel.addEventListener('click', function(){
  //Function Fused to Global Scope
  testGlobal();
  //Function Fused to Fuse's Global NameSpace
  fuse.testEmitter();
});


exports.start = function(){ mainWin.open(); }