//Initialize Fuse with Global Object
require('Fuse').w(this);

//Create Object basic object
var ui = {
  view      : Ti.UI.createView,
  label     : Ti.UI.createLabel,
  table     : Ti.UI.createTableView,
  tableRow  : Ti.UI.createTableViewRow,
  win    : Ti.UI.createWindow,
  animation : Ti.UI.createAnimation
};

/**
 *  Fuse "w"ith
 *  Set third param to true if you want to fuse with the Global Scope
 *  If false or undefined object will fuse with "fuse" Object
 */
fuse.w('ui', ui, true)
    .w('console', Ti.API, true)
    .w('info', Ti.API.info, true)
    .w('log', Ti.API.log, true)
    .w('debug', Ti.API.debug, true)
    .w('mainWin', ui.win({backgroundColor:'#ffffff'}), true);

require('MyModule').start();
//Function Calls

base.test();
base.child.test();
base.sibling.test();

